;	===============================================================
;	TXWIN.CPY - Text Window equates, structures, and macros
;	===============================================================
;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 2-2-96
;	---------------------------------------------------------------

TXWIN		STRUC
len		dword	SIZEOF(TXWIN)	;record length
txadr		dword	0		;address of text image
TWTitle		dword	RSC_Mike	;adrs/rscid of text window title
flags		dword	0		;option flags
eproc		dword	0	;proc to enum text data on demand
twnorm		REAL4	0.2	;location in main win, normalized
		REAL4	0.2
		REAL4	0.8
		REAL4	0.8
hDWin		dword	0	;child window is accessed thru its handle
self		dword	0	;adrs of source pkt copied here
lcount		dword	1	;current image line count
ccount		dword	0	;current character count
cmax		dword	0	;current image max bfr size
sptr		dword	0	;store ptr for TWRcv
clnum		dword	1	;current display top line number 1..lcount
twcr		dword	0,0,0,0	;full text window client rect
mwloc		dword	0,0,0,0	;main window current location
TXWIN		ENDS

;	TXWIN.flags values

TWF_Release	equ	1	;release TXWIN.txadr on window close
TWF_Single	equ	2	;single window - use already open win
TWF_UpdPosn	equ	4	;position changes copy back to spec
TWF_Max		equ	8	;window is maximized
TWF_Min		equ	16	;window is minimized

;	Text Window WM_SYSCOMMAND id's

TWF_PRINT	equ	999	;print the window text
TWF_SAVE	equ	998	;save the window text
TWF_SETUP	equ	997	;do page setup for text window

