;	===============================================================
;	XPTEST - TEST XP Main program module
;	===============================================================
;	Copyright 1998 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 5-16-98
;	---------------------------------------------------------------
XPID		equ	0		;this modules' XP ID #
Main		equ	1		;this is the main module

		include	\fcw6\XP6DEV\XP.CPY
		Public	DllMain,s87
;	---------------------------------------------------------------
.data
XPVer		equ	versionNr
XPDef		XP	<0,clist,plist,0,0>

clist		sbyte	"ATEST",0,"ATEST2",0
		sbyte	0

plist		dword	About			;about this XP...
		dword	ATestCmd		;ATEST command
		dword	ATest2Cmd		;ATEST2 command
.code
;	===============================================================
;	DllMain - DLL Init/End processing procedure
;	===============================================================

DllMain		proc STDCALL,
		hInstDLL:DWORD,fdwReason:DWORD,lpvReserved:DWORD
		WENTRY
		cmp	fdwReason,DLL_PROCESS_ATTACH
		jz	init
		cmp	fdwReason,DLL_PROCESS_DETACH
		jz	atend
		mov	eax,1			;return TRUE
		WEXIT

;	Initialize this XP (do no output yet!)

init:		mov	eax,hInstDLL		;save instance handle
		mov	XPDef.ModHdl,eax
		SVC	XPRegCmd,<offset XPDef>	;connect module
		mov	eax,1			;return TRUE
		WEXIT

;	End using this XP

atend:
		SVC	XPUnregCmd,<offset XPDef>
		mov	eax,1			;return TRUE
		WEXIT
DllMain		endp

;	===============================================================
;	About - About this XP...
;	===============================================================
.data
APkt		dword	APktTxt
APktTxt		sbyte	"XPTEST.XP commands:",13,10,13,10
		sbyte	9,"ATEST - test message with #s",13
		db	9,"ATEST2 - Create Line Entities",0
.code

About		proc	STDCALL
		SVC	FormSt,<offset APkt>,FD_MsgBox
		ret
About		endp

;	===============================================================
;	ATEST command: Display data in a message box
;	===============================================================
.data
TPkt		dword	TPktTxt
		ItemFmt	<tvar1,FT_UDec4,FJ_Var>
		ItemFmt	<tvar2,FT_UDec4,FJ_Var>
TPktTxt		db	"XPTest Commands:",13,13
		db	"!01",13,"!02",13,0
tvar1		dword	2000
tvar2		dword	10
.code

ATestCmd	proc	STDCALL
		SVC	FormSt,<offset TPkt>,FD_MsgBox
		SVC	CmdEnd
		ret
ATestCmd	endp

;	===============================================================
;	ATEST2 command: Create line entities
;	===============================================================
.data
P1Req		RDATA	<,RD_2DC,,RDF_NONE,BuildL.X1,\
			lpszP1,RDC_XH,ATest2B>
lpszP1		LPSTR	szP1
szP1		db	"1st point:",0

P2Req		RDATA	<,RD_2DC,,RDF_NONE,BuildL.X2,\
			lpszNext,RDC_RBAND,ATest2C>
lpszNext	LPSTR	szNext
szNext		db	"Next point [done]:",0

BuildL		Line2	<>		;line entity
.code

ATest2Cmd	proc	STDCALL
		SVC	ReqData,<offset P1Req>
		ret
ATest2Cmd	endp

ATest2B		proc	stdcall
		cmp	eax,X_OK		;DAV?
		jnz	bad
		INVOKE	MarkUndoAdd		;Undo to here
		fld	BuildL.X1		;set origin
		fld	BuildL.Y1
		SVC	NewCsrOrg
		SVC	ReqData,<offset P2Req>	;make data request
		ret
bad:		call	CmdEnd			;next is new command
		ret
ATest2B		endp

ATest2C		proc	stdcall
		cmp	eax,X_OK		;DAV?
		jnz	bad
		SVC	GetCStuff,<offset BuildL>
		INVOKE	DLApnd,NULL,esi
		SVC	EDraw,eax		;draw it
		MOVED	BuildL.X1,BuildL.X2
		MOVED	BuildL.Y1,BuildL.Y2
		fld	BuildL.X1		;set origin
		fld	BuildL.Y1
		SVC	NewCsrOrg
		SVC	ReqData,<offset P2Req>	;chain draw
		ret
bad:		call	CmdEnd			;next is new command
		ret
ATest2C		endp

;	===============================================================
END
