;	===============================================================
;	HELP.CPY - Help Context ID #s for FCW32.HLP use
;	===============================================================
;	Copyright 1996 Evolution Computing
;	All rights reserved
;	Written by Mike Riddle 3-22-96
;	---------------------------------------------------------------
;	These ID names and #s must be a direct match to those in
;	\FCWHELP\HELP.H.
;	===============================================================

IDH_CONTENTS		equ	0
IDH_XPCFG		equ	1532		;***xp config command
IDH_VIEW		equ	4005		;***view sets
IDH_SGRID		equ	1502		;***spec select grid
IDH_D_RGRID		equ	1505		;spec edit rect grid
IDH_D_CGRID		equ	1506		;spec edit circ grid
IDH_LINE2		equ	4504		;draw line
IDH_SLSTYLE		equ	1525		;select line style
IDH_ELSTYLE		equ	1526		;edit line style
IDH_FSTYLEP		equ	1596		;fill style pattern pg
IDH_FSTYLEH		equ	1597		;fill style hatch pg
IDH_FSTYLEB		equ	1598		;fill style bitmap pg
IDH_FSTYLES		equ	1599		;fill style symbol pg
IDH_Z3D			equ	1527		;zoom 3d dlg
IDH_SSYM		equ	1014		;select symbol dlg
IDH_DSYM		equ	IDH_CONTENTS	;delete symbol dlg
IDH_ATRIB		equ	1016		;define attribute dlg
IDH_ATRIBREF		equ	1017		;attribute reference dlg
IDH_LAYER		equ	1623		;select layer cmd 1509
IDH_SELBY		equ	13		;select by dialog
IDH_SELCMB		equ	14		;select combine dialog
IDH_SELTYP		equ	1521		;select by etype dialog
IDH_TOOLS		equ	1533		;select screen tools dlg
IDH_COLOR		equ	1507		;select color dialog
IDH_SYMP		equ	1014		;symbol parm dialog
IDH_DIMC		equ	4551		;DIMC command--DIM diameter?
IDH_DIMR		equ	4550		;DIMR command
IDH_TRIM		equ	5034		;TRIM command
IDH_TRIMTO		equ	5010		;TRIMTO command
IDH_PART		equ	1003		;PART command
IDH_UNITS		equ	1534		;UNITS command
IDH_NVNAME		equ	4016		;new view name (RB cmd)
IDH_TRIMINT		equ	5012		;TRIMINT command
IDH_TRIMLEN		equ	5013		;TRIMLEN command
IDH_CIRTAN3		equ	4514		;CIRTAN3 command
IDH_SELBYCMD		equ	1521		;SELBY command dialog
IDH_DSTYLES		equ	1618		;DStyles dialog 1529
IDH_SPLIT		equ	5008		;SPLIT command
IDH_BREAK		equ	5007		;BREAK command
IDH_DBLN		equ	4505		;DBLN command
IDH_LIKEC		equ	2021		;LIKE command
IDH_CLIPOPT		equ	3505		;CLIPOPT command dialog
IDH_CLIPCUT		equ	3503		;CLIPCUT command
IDH_CLIPCOPY		equ	3502		;CLIPCOPY command
IDH_ODIM2		equ	4552		;Ord Dim command
IDH_CONVF		equ	6008		;CONVF command
IDH_ASTYLE		equ	1609		;ASTYLE command
IDH_OFFSET		equ	4558		;OFFSET chained command
IDH_OFFSET1		equ	4559		;OFFSET1 command
IDH_INSNODE		equ	5014		;insert node cmd
IDH_DELNODE		equ	5014		;delete node cmd
IDH_DRAG		equ	5023		;DRAG dynedit step

;	Added since given to Dan:

IDH_SYMDE		equ	IDH_CONTENTS	;SYMBOL dynedit step
IDH_TXTPOS		equ	4544		;TEXT/TEXTM txt pos dynedit
IDH_TED			equ	IDH_TXTPOS	;TED dialog

;	The Layer Select dialog has changed ( IDH_LAYER)

IDH_RENLAYER		equ	IDH_CONTENTS	;Rename layer

;	The DStyles Dialog has changed (IDH_DSTYLES) in version 5.04

IDH_LWID		equ	1611		;the line width dialog
IDH_LWCMAP		equ	1629		;line width color map

;	The RDLAYDLG (IDH_LAYER) has been changed in version 5.08

;	New for v5.14:

IDH_OPTIONS		equ	1634		;options cmd
IDH_OFFSETCPY		equ	4572		;offset copy cmd
IDH_TEMPLATE		equ	6020		;template command
IDH_PRINTDLG		equ	6023		;print cmd dialog
IDH_NOTES		equ	6029		;notes dialog

;	New for v5.15:

IDH_asave		equ	6035
IDH_printa		equ	8002
IDH_actions		equ	8003
IDH_asave_install	equ	8004
IDH_asave_usage		equ	8005
IDH_printa_install	equ	8006
IDH_printa_usage	equ	8007
IDH_printa_dbx0		equ	8008
IDH_printa_dbx1		equ	8009
IDH_printa_cmd_printa	equ	8010
IDH_printa_cmd_defpa	equ	8011
IDH_printa_cmd_editpa	equ	8012
IDH_printa_cmd_copypa	equ	8013
IDH_printa_cmd_delpa	equ	8014
IDH_printa_cmd_listpa	equ	8015
IDH_actions_install	equ	8016
IDH_actions_usage	equ	8017
IDH_actions_creating	equ	8018
IDH_actions_basmac	equ	8019
IDH_actions_actmac	equ	8020
IDH_actions_boolean	equ	8021
IDH_actions_spec	equ	8022
IDH_printa_tips		equ	8023
IDH_asave_dbx		equ	8024
IDH_asave_rec		equ	8025
IDH_actions_xbool	equ	8026

IDH_z_tablet		equ	8501	;basic overview
IDH_cnc_tablet		equ	8502	;this is essentially your tablet.txt
IDH_cmd_tabon		equ	8503	;the rest correspond to commands
IDH_cmd_taboff		equ	8504
IDH_cmd_tabcfg		equ	8505
IDH_cmd_tabcal		equ	8506

IDH_PRINTADLG		equ	8008	;***** needs its own!

IDH_dimh		equ	4547
IDH_diml		equ	4573
IDH_dimv		equ	4574
IDH_dimp		equ	4575
IDH_dimb		equ	4576
IDH_pedit		equ	5049
IDH_dbx_pedit		equ	5050
IDH_changetx		equ	5052
IDH_trimie		equ	5053
IDH_trimoe		equ	5054

IDH_undo		equ	3506
IDH_redo		equ	3507
IDH_redoa		equ	3508
IDH_flip		equ	3509
IDH_extents		equ	2510
IDH_pict		equ	1033

;	******** new 5.30 stuff ************************

IDH_MDDLG		equ	161		;multi-dwg ctrl dlg

;	******** new 6.02 *************

IDH_ZTEXT		equ	4017		;zoom text
IDH_BOOKMARK		equ	6036		;bookmark dialog
IDH_SEARCH		equ	6037		;search dialog
IDH_PROTECT		equ	6038		;protect dialogs
IDH_TSPEC		equ	1531		;TSPEC dialog
IDH_CTRLP		equ	171		;CTRLP entity
IDH_ATCHMODE		equ	1520		;attachmode dialog

IDH_OPEN		equ	6003		;open dialog
IDH_SAVEAS		equ	6005		;saveas dialog
IDH_OPENND		equ	6040		;OPENND
IDH_OPENPD		equ	6041		;OPENPD
IDH_DYNPAN		equ	4018		;DYNPAN
IDH_LSTLYR		equ	1639		;List layer command

;	************** new 6.03 ***************8

IDH_SELSHEET		equ	1036		;select sheet dialog
IDH_SHEETOVR		equ	1035		;sheet overview
IDH_MOVESHT		equ	1037		;move sheet
IDH_COPYSHT		equ	1038		;copy sheet
IDH_CHANGEPT		equ	5056		;change pen thickness
IDH_CHANGEC2		equ	5057		;change 2nd color
IDH_PTHICK		equ	1644		;pen thickness cmd
IDH_GRIDA		equ	1645		;edit ang grid
IDH_GRIDANG		equ	1646		;GRIDANG cmd
IDH_ABOVE		equ	5061		;above cmd
IDH_BELOW		equ	5062		;below command
IDH_FRONT		equ	5032		;front command
IDH_BACK		equ	5051		;back command

;	*************** new 6.12 *****************

IDH_D_XGRID		equ	3000		;hex grid help
